/*
bhapm.h
Copyright (C)2001  Al Kingsley


  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY.

*/

#ifndef _BHAPM_
#define _BHAPM_

/**
 * @defgroup commlib Common Libraries 
 * @{
 */
namespace BhPos{

/**
 * @defgroup capm APM 
 * @{
 *
 * @ingroup commlib
 * @{
 */
class CApm
{
	int fd;
	
public:	
	CApm();
	~CApm();
	int Open();
	int Suspend();
	int Standby();
};

/* }@
	}@ */
}

/* }@ */

#endif
